
package com.beem.project.beem.smack.avatar;

import com.beem.project.beem.smack.AvatarMetadataExtension.Info;
import org.jivesoftware.smack.XMPPConnection;

public class AvatarRetrieverFactory {

    public static AvatarRetriever getRetriever(XMPPConnection con, String from, Info info) {
	String url = info.getUrl();
	if (url != null) {
	    return new HttpAvatarRetriever(url);
	}
	return null;
    }
}
